io.undertow.server.handlers

## Class MetricsHandler.MetricResult

- java.lang.Object
- - io.undertow.server.handlers.MetricsHandler.MetricResult

Enclosing class:
  MetricsHandler

    public static class MetricsHandler.MetricResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MetricResult(Date metricsStartDate)`
`MetricResult(MetricsHandler.MetricResult copy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxRequestTime()`
`Date` `getMetricsStartDate()`
`int` `getMinRequestTime()`
`long` `getTotalErrors()`
`long` `getTotalRequests()`
`long` `getTotalRequestTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricResult

    public MetricResult(Date metricsStartDate)

#### MetricResult

    public MetricResult(MetricsHandler.MetricResult copy)

### Method Detail

#### getMetricsStartDate

    public Date getMetricsStartDate()

#### getTotalRequestTime

    public long getTotalRequestTime()

#### getMaxRequestTime

    public int getMaxRequestTime()

#### getMinRequestTime

    public int getMinRequestTime()

#### getTotalRequests

    public long getTotalRequests()

#### getTotalErrors

    public long getTotalErrors()